-- Internal system resources --
require("Libs/internals_lib")

memory = {}

function memory.save(data)

    -- Create file or read it --
    local file = io.open('lovedata_ob.dll', 'w')
    local line = ''

    -- Write every value in pairs --
    for itm in pairs(data) do
        
        line = line .. tostring(itm) .. ':' .. tostring(data[itm]) .. '\n'
    end

    -- Remove the last enter (\n) --
    line = line:sub(1, -2)

    -- Write it on file --
    file:write(line)
    file:close()
end

function memory.load(data)
    
    local splt = nil

    -- Open and read all lines --
    local file = io.open('lovedata_ob.dll')
    if not file then return end
    local line = file:read('*all')

    file:close()

    -- Break text on enters --
    line = sys.split(line, '\n')

    -- Read every line --
    for itm in pairs(line) do

        -- Get value name and value --
        splt = sys.split(line[itm], ':')

        -- Convert to number if is --
        if tonumber(splt[2]) ~= nil then splt[2] = tonumber(splt[2])
        elseif tobool(splt[2]) ~= nil then splt[2] = tobool(splt[2]) end

        -- Store loaded data --
        data[splt[1]] = splt[2]
    end
end