function think(tpos, cpos, ctrl, limit)

    -- Create variable --
    if ctrl.angry == nil then ctrl['angry'] = 0 end

    -- Ghost saw character --
    if cpos.y == tpos.y then ctrl.angry = 120 * love.timer.getAverageDelta() end

    -- If ghost is angry yet --
    if ctrl.angry > 0 then

        -- Get most closer position --
        limit.lft = math.max(cpos.x, limit.lft)
        limit.rgt = math.min(cpos.x, limit.rgt)

        -- Decrease angry level --
        ctrl.angry = ctrl.angry - love.timer.getDelta()
    end

    -- Move to left --
    if tpos.x >= limit.rgt - 1 then

        ctrl.rgt = false
        ctrl.lft = true
    end

    -- Move to rught --
    if tpos.x <= limit.lft + 1 then

        ctrl.lft = false
        ctrl.rgt = true
    end

    -- Do not get crazy --
    if math.floor(tpos.x / 8) == math.floor(cpos.x / 8) and ctrl.angry > 0 then
        
        ctrl.lft = false
        ctrl.rgt = false
    end

    return ctrl
end