function room.load()

-- # Ghost ----------------------------------------------- # --

    -- Ghost --
    thnk = {

        ['lft'] = true,
        ['rgt'] = false,
        ['ups'] = false,
    }

    ghst = transform:load()
    ghst:init(vector2d(0, 144), thnk)

    -- Ghost animator --
    ghst.anim = rend:load()
    ghst.anim:init(vector2d(0, 1))

    -- Ghost animations --
    fntm = {[0] = 0, [1] = 1, [2] = 2, [3] = 3, [4] = 4}
end

function room.update(dt)
-- # Ghost Movement -------------------------------------- # --

    limit = {['lft'] = 0, ['rgt'] = 152}
    ghst.ctrl = think(ghst:getp(), char:getp(), fntm, limit)

    ghst:move(dt)
    ghst.anim:play(dt, 1, fntm, 8, true)
end

function room.draw()

    -- Draw ghost --
    ghst.anim:draw(ghst:getp(), ghst:gets())
end